## mesa 24.0.7

=== debian/changelog ===
mesa (24.0.7-1+rpi1) trixie-staging; urgency=medium

  * Try to disable valgrind.
  * Move valgrind from build-depends to build-conflicts.

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 24 May 2024 10:55:59 +0000

mesa (24.0.7-1) unstable; urgency=medium

  * New upstream release.
  * source: Switch to source format 3.0 (quilt), because upstream
    provides only .xz tarballs. (Closes: #1036176)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:18:58 +0300

mesa (24.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 08:39:42 +0300

mesa (24.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Apr 2024 13:13:09 +0300

mesa (24.0.4-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Dropped upstreamed patches.

  [ Fabio Pedretti ]
  * control: libllvmspirvlib-*-dev is needed even with rusticl disabled
    (Closes: #1061287)
  * control: Bump meson build-dep

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Mar 2024 17:59:50 +0200

mesa (24.0.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #1065654)
  * radeon-fix-gnome-shell-crash.diff: Fix a regression crashing
    gnome-shell. (Closes: #1064123)
  * fix-zink-logging.diff: Updated.
  * control: Bump libdrm build-dep. (Closes: #1065304)

  [ Fabio Pedretti ]
  * patches: Drop patch for obsolete powerpcspe arch

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Mar 2024 13:03:15 +0200

mesa (24.0.2-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Dropped, upstream.
  * fix-zink-logging.diff: Don't log to stderr when zink fails to load.
    (Closes: #1064704)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 09:22:00 +0200

mesa (24.0.1-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 10:55:39 +0200

mesa (24.0.0-2) experimental; urgency=medium

  * clc-build-fix.diff: Attempt to fix a regression that made requiring
    llvmspirvlib mandatory.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Feb 2024 17:20:59 +0200

mesa (24.0.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #1059782)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:34:09 +0200

mesa (24.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Attempt to fix failing autopkgtests by changing zink init
    failure logging to a warning instead of an error.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:53:42 +0200

mesa (24.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 10:42:01 +0200

mesa (24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Drop the zink reverts.
  * rules: Modify video-codecs option to build all codecs. Thanks,
    Safir Secerovic!
  * control, rules: Bump debhelper-compat to 13, drop dh_missing
    override as it's the default now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 19:15:45 +0200

mesa (23.3.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop zink reverts, gtk4 autopkgtest got fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:20:35 +0200

mesa (23.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:41:39 +0200

mesa (23.3.3-3) unstable; urgency=medium

  * rules: Drop mips64el from RUSTICL_ARCHS too, which would pull llvm-
    spirv-17. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 09:55:40 +0200

mesa (23.3.3-2) unstable; urgency=medium

  * rules: Drop virtio from armel again, regression due to cleanup.
    (Closes: #1060849)
  * rules: Drop mips64el from LLVM_ARCHS, as llvm-17-dev is still not
    available. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 14:00:26 +0200

mesa (23.3.3-1) unstable; urgency=medium

  * New upstream release.
  * patches, rules: Revert riscv64 back to plain softpipe swrast, drop
    orcjit patch. (Closes: #1060376)
  * patches: Drop d3d12 reverts, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jan 2024 10:10:19 +0200

mesa (23.3.2-2) unstable; urgency=medium

  * patches: Revert two commits on d3d12 that regressed at least swrast.
    (Closes: #1059971, #1060017)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Jan 2024 11:07:26 +0200

mesa (23.3.2-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Refreshed, and dropped an upstreamed patch.

  [ Tao Chen ]
  * Add Loongarch support

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Jan 2024 15:19:43 +0200

mesa (23.3.1-4) unstable; urgency=medium

  * patches: Fix a regression in crocus. (Closes: #1059015)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 23 Dec 2023 12:08:05 +0200

mesa (23.3.1-3) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Fix to actually build with llvm-17.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 16 Dec 2023 13:34:32 +0200

mesa (23.3.1-2) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Add support for ORCJIT. (Closes: #1058759)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Dec 2023 20:59:48 +0200

mesa (23.3.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed zink patch.
  * patches: Disable zink fallback loading, breaks gtk4 build/tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Dec 2023 13:17:25 +0200

mesa (23.3.0-2) experimental; urgency=medium

  * control: Add libvulkan1 to libgl1-mesa-dri Depends where zink is
    built, since it's loading libvulkan.so.1 directly instead of linking
    to it.
  * 0001-zink-initialize-drm_fd-to-1.patch: Fix GDM startup with the X11
    backend.


