## mesa 24.0.9

=== debian/changelog ===
mesa (24.0.9-0ubuntu0.3) noble; urgency=medium

  [ Alessandro Astone ]
  * patches: Backport patch for green artifacting and GPU crash on
    radeonsi with kernel >= 6.10 (LP: #2083538)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2024 12:05:41 +0200

mesa (24.0.9-0ubuntu0.2) noble; urgency=medium

  * Add support for Pi 2712D0 stepping (LP: #2082072)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 26 Sep 2024 16:32:32 +0300

mesa (24.0.9-0ubuntu0.1) noble; urgency=medium

  * Backport to noble. (LP: #2068918)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 19:07:15 +0300

mesa (24.0.9-0ubuntu1) oracular; urgency=medium

  * New upstream release. (LP: #2068918)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 18:50:20 +0300

mesa (24.0.8-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 14:47:32 +0300

mesa (24.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 12:57:58 +0300

mesa (24.0.7-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * patches: Add ARL support. (LP: #2061955)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:38:59 +0300

mesa (24.0.5-1ubuntu1) noble; urgency=medium

  * Merge from Debian. (LP: #2060009, #2060679)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Apr 2024 10:12:19 +0300

mesa (24.0.3-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:05:45 +0000

mesa (24.0.3-1ubuntu3) noble; urgency=medium

  * Unwind remaining bootstrap changes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 18:31:49 +0000

mesa (24.0.3-1ubuntu2) noble; urgency=medium

  * Drop the time64 patch, applied with a different name.
  * Package can be synced.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 03:15:47 +0100

mesa (24.0.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix time64 build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 03:02:09 +0100

mesa (24.0.2-1ubuntu8) noble; urgency=medium

  * Build again with libva-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 14:21:44 +0100

mesa (24.0.2-1ubuntu7) noble; urgency=medium

  * Build without WINE on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 10:17:29 +0100

mesa (24.0.2-1ubuntu6) noble; urgency=medium

  * Fix time64 build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 08:46:25 +0100

mesa (24.0.2-1ubuntu4) noble; urgency=medium

  * Build without LLVM and rust on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 08:24:30 +0100

mesa (24.0.2-1ubuntu2) noble; urgency=medium

  * Bootstrap build without libva-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:42:07 +0000

mesa (24.0.2-1ubuntu1) noble; urgency=medium

  * Merge from Debian.
  * radeon-fix-gnome-shell-crash.diff: Fix a regression crashing
    gnome-shell. (LP: #2054851)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 09:40:21 +0200

mesa (24.0.1-1ubuntu1) noble; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Feb 2024 09:02:05 +0200

mesa (23.3.3-1ubuntu2) noble; urgency=medium

  * control, rules: Drop i386 from RUSTICL_ARCHS, again.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jan 2024 14:53:32 +0200

mesa (23.3.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian, remaining changes:
    - control: R/B/R: libgl1-amber-dri

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jan 2024 20:57:33 +0200

mesa (23.3.0-2ubuntu3) noble; urgency=medium

  * patches: Revert another commit adding zink autoload on glx.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Dec 2023 23:36:25 +0200

mesa (23.3.0-2ubuntu2) noble; urgency=medium

  * patches: Revert a commit adding zink autoloading.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Dec 2023 12:46:38 +0200

mesa (23.3.0-2ubuntu1) noble; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Dec 2023 18:17:27 +0200

mesa (23.3.0-1ubuntu1) noble; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Dec 2023 12:11:39 +0200

mesa (23.2.1-1ubuntu4) noble; urgency=medium

  * patches: Avoid crashing virglrenderer when the host doesn't support
    PIPE_CAP_CLEAR_TEXTURE (LP#2038834)

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 07 Nov 2023 15:41:32 +0200

mesa (23.2.1-1ubuntu3) mantic; urgency=medium

  * patches: Fix a function name collision causing crashes. (LP:
    #2037497)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Oct 2023 11:58:09 +0300

mesa (23.2.1-1ubuntu2) mantic; urgency=medium

  * d/p/v3d-v3dv-support-for-HW-7.1.x.patch
    - [FFe] Raspberry Pi 5 (LP: #2037642)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 29 Sep 2023 08:27:32 +0200

mesa (23.2.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Sep 2023 08:46:32 +0300

mesa (23.2.0~rc4-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. (LP: #2036611)
  * control, rules: Stay on llvm 15 until bindgen update has landed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Sep 2023 18:50:55 +0300

mesa (23.1.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * revert-13422.diff: Drop reverts, fix upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Sep 2023 13:41:34 +0300

mesa (23.1.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * revert-13422.diff: Revert a bunch of commits to fix gtk4
    autopkgtests. (LP: #2025982)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jul 2023 18:13:17 +0300

mesa (23.1.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed patches.


