=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Andreas Boll <aboll@debian.org>
 Standards-Version: 4.1.4
 Build-Depends:
@@ -51,13 +52,12 @@
  wayland-protocols (>= 1.24),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
- rustc [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- libclc-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
+ rustc [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ bindgen (>= 0.66.1~) [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ llvm-spirv-17 [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ libclc-17 [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
  libllvmspirvlib-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
-Build-Conflicts:
- valgrind [amd64 arm64 i386 mips64el powerpc ppc64 ppc64el s390x],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
@@ -247,6 +247,12 @@
  libvulkan1 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  ${shlibs:Depends},
  ${misc:Depends}
+Recommends:
+ libgl1-amber-dri
+Breaks:
+ libgl1-amber-dri (<< 21.3.9)
+Replaces:
+ libgl1-amber-dri (<< 21.3.9)
 Multi-Arch: same
 Description: free implementation of the OpenGL API -- DRI modules
  This version of Mesa provides GLX and DRI capabilities: it is capable of
@@ -357,8 +363,3 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: Mesa VDPAU video acceleration drivers
  These libraries provide the Video Decode and Presentation API for Unix.
- They provide accelerated video playback (incl. H.264) and video
- post-processing for the supported graphics cards.
- .
- This package enables support for VDPAU for some gallium drivers.
-
